# IRsRotationSnappingManager Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | HideMarkers ()
HRESULT | SetParameters ([in] RtRotationtSnapperInfo *sp)
HRESULT | GetSnappedAngle ([in] RtVector2f *pScreenPosition,[in] RtVector2f *fAngle,[out, retval]RtVector2f *pfOutAngle)
HRESULT | GetContinueRotationTracking ([out, retval] RtBool *pbFlag)
HRESULT | ApplyRotationConstraints ([in] RtVector2f *pScreenPosition)
HRESULT | GetCurrentRotation ([out, retval] RtVector2f *pAngles)
HRESULT | GetCurrentView ([out, retval] IRsNode **ppNode)

## Detailed Description

Rotation snapping manager provides angle snapping functionality.

## Member Function Documentation

HRESULT IRsRotationSnappingManager::HideMarkers | ( |  | ) |

Hide active markers. Markers will be shown after next execution of snapping manager.

HRESULT IRsRotationSnappingManager::SetParameters | ( | [in] RtRotationtSnapperInfo * | sp | ) |

Set snapper runtime parameters. This must be called before ApplyMovementConstraints or GetSnappedPosition is called to setup internal structures.

HRESULT IRsRotationSnappingManager::GetSnappedAngle | ( | [in] RtVector2f * | pScreenPosition,
|  | [in] RtVector2f * | fAngle,
|  | [out, retval] RtVector2f * | pfOutAngle |
| ) |  |  |

Evaluate snapped angle.

HRESULT IRsRotationSnappingManager::GetContinueRotationTracking | ( | [out, retval] RtBool * | pbFlag | ) |

Check, if we should snap current position to stop position tracking.

HRESULT IRsRotationSnappingManager::ApplyRotationConstraints | ( | [in] RtVector2f * | pScreenPosition | ) |

Compute constraints. Tool should update angle steps inside pSnapperInfo structure of RtRotationSnappingParameters structure to constraint movement.

Parameters:

  | pScreenPosition | Screen space position or NULL to use default

Returns:
  standard HRESULT processing will be applied to returned value

HRESULT IRsRotationSnappingManager::GetCurrentRotation | ( | [out, retval] RtVector2f * | pAngles | ) |

Calculate position after applying constraints.

Parameters:

  | pAngles | Pointer to variable that will be filled with constrained current position

Returns:
  standard HRESULT processing will be applied to returned value

HRESULT IRsRotationSnappingManager::GetCurrentView | ( | [out, retval] IRsNode ** | ppNode | ) |

Return current view node for which this snapping manager was created